@import url("components/login.css");

/*******************************************/
/*********** Global Page Styles ************/
/*******************************************/

html, body{
    height:100%;
}

#ie_flex_fix {
    display: flex;
    flex-direction: row;
}

#page_wrapper {
    padding: 10px 14px 10px 294px;
    margin-bottom: 0;
    min-height: 100vh;
    box-sizing: border-box;
    flex-direction: column;
    flex-grow: 1;
    flex-basis: 100%;
    display: flex;
    max-width:100%;
}

#content {
    padding: 15px;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    flex-grow:1;
}

#sidebar {
    display: none;
}

@media only screen and (max-width : 992px) {
    #page_wrapper {
        /*padding-left: 7px !important;*/
        /*padding-right: 7px !important;*/
        /*padding-top:50px;*/
        padding:0 !important
    }
    #content {
        padding-top: 60px;
    }
}

.ajax_wrapper {
    flex-grow: 1;
}

.ajax_wrapper .row{
    width:100%;
}

.ajax_wrapper.hidden {
    display: none !important;
}

.ajax_wrapper .header_row select, .ajax_wrapper .header_row input {
    font-size: 12px;
    box-sizing: border-box;
    height: 28px;
}

.ajax_wrapper .header_row div.left {
    margin-right: 10px;
}

.ajax_wrapper .header_row div.right {
    margin-left: 10px;
}

.ajax_wrapper .header_row label {
    display: block;
}

.ajax_wrapper .header_row div.switch {
    height: 28px;
    padding-top: 5px;
}

.ajax_wrapper .header_row i.material-icons.search {
    cursor: pointer;
    font-size: 22px;
    line-height: 26px;
    margin-left: 8px;
}

/*Start Here*/

div.header_row {
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;
}

div.header_row.header_row_right_only {
    justify-content: flex-end;
}

div.header_row > div {
    display: flex;
}

div.header_row > div > div {
    padding-right: 5px;
}

@media only screen and (max-width : 992px) {

    div.header_row {
        flex-wrap: wrap;
    }

    div.header_row input[type=text]{
        width:100%;
    }

    div.header_row > div {
        flex-basis: 100%;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    div.header_row.header_row_right_only > div {
        flex-basis: auto;
        justify-content: flex-end;
        flex-wrap: nowrap;
    }

    div.flex_col_2 > * {
        flex-basis: 50% !important;
    }

    div.flex_col_fit > * {
        flex-basis: auto !important;
    }

    div.header_row > div > div:nth-child(odd) {
        padding-right: 5px;
    }

}


/*End Here*/

/*******************************************/
/**************** Helpers ******************/
/*******************************************/

.no-margin {
    margin:0 !important;
}

select.fit_content {
    width: auto !important;
}

input[type=text]{
    background-color: rgba(255, 255, 255, 0.9);
    padding: 6px;
    /*border: 1px solid #f2f2f2;*/
    border: 1px solid #e0e0e0;
    border-radius: 2px;
}

select.browser-default {
    border: 1px solid #e0e0e0;
}

.col input[type=text].browser-default {
    width: 100%;
}

.modal.sml-modal {
    width:450px;
    max-width:90%;
}

#ul_log_modal {
    display:flex !important;
}

.modal-fixed-footer.no_scroll .modal-content {
    overflow: visible !important;
}

.italic {
    font-style: italic;
    color: #CCC;
}

blockquote.info {
    border-left-color: #4caf50;
    background-color: #deffdf;
}

.w100 {
    width:100% !important;
}

input[type=text].browser-default:disabled {
    color: rgba(0, 0, 0, 0.3);
}

.dropdown-content a.drop-down_selected {
    font-weight: bold;
}

.section:first-of-type {
    padding-top: 0;
}

/*******************************************/
/**************** Uploader ******************/
/*******************************************/

.uploader_buttons a {
    font-size: 12px;
    padding:0 12px;
    color: inherit !important;
}

.uploader_buttons a i.left {
    margin-right: 10px;
}

input.select-dropdown{
    max-height:200px !important;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-right: 20px !important;
    box-sizing: border-box !important;
}

.wide-modal {
    width:750px !important;
}

.btn-flat.table_actions {
    line-height: normal !important;
    height:inherit !important;
    padding:0 5px;
}

.btn-flat.table_actions:active {
    background-color: inherit !important;
}

.upload_container_menu_dots {
    position: absolute;
    right:10px;
    top:15px;
    color: rgba(0, 0, 0, 0.87);
    z-index: 10;
}

.upload_container_menu_dots .material-icons {
    font-size: 18px;
}

.upload_container ul.metadata {
    font-size: 12px;
    margin: 5px 0px 0px 0px;
    max-width: 98%;
}

.upload_container .progress_bar_text {
    /*margin-top: -10px;*/
    transition: max-height 0.3s;
}

.upload_container .dropdown-content li {
    /*min-height: auto;*/
    font-size: 12px;
    line-height: 25px;
}

.upload_container .dropdown-content a {
    color: inherit;
    font-size: 12px;
}

.upload_container .dropdown-content i.material-icons {
    width:auto;
    font-size: 16px;
    margin-right: 12px;
}

.upload_container .photo_type, .upload_container .shared_graphic_type {
    float: right;
    font-size: 11px;
}

.upload_container .shared_graphic_type {
    opacity: 0;
    transition:opacity 0.5s;
}

.upload_container .graphic_placeholder_image {
    background-image: url('../images/graphic.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.upload_container .shared_graphic_type.visible {
    opacity: 1;
}

.upload_container.selected{
    /*color: #2FB9EC;*/
}

.upload_container:not(.uploading):not(.uploaded) .card-image {
    cursor: pointer;
}

.upload_container {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.upload_container .card-title {
    color: inherit;
    max-width:93%;
}


.upload_container .upload_checkbox.filled-in + label {
    margin-top:7px;
    margin-left: 7px;
}

.upload_container .upload_checkbox.filled-in:not(:checked) + label:after{
    border:1px solid #9e9e9e;
}

.upload_container.uploading .upload_checkbox + label,
.upload_container.uploaded .upload_checkbox + label{
    display: none;
}

.upload_container.uploaded .card-image, .upload_container.uploaded .na_tv_photo, .upload_container.uploaded .na_tv_video {
    opacity:0.5;
}

.upload_container.uploaded {
    background-color: #f2f2f2;
    color: #CCC;
}

.upload_container.uploading .upload_container_menu_dots,
.upload_container.uploaded .upload_container_menu_dots {
    display: none;
}

.upload_container.uploaded .progress .determinate {
    background-color: #CCC;
}

.upload_container_wrapper {
    max-width:10000px;
    max-height:10000px;
    transition:all 0.8s;
    overflow: hidden;
}

.upload_container.selected .card-stacked {
    background-color: #dff1f7;
}

.card .card-action {
    display: flex;
    flex-wrap: nowrap;
}

.photo_info, .graphic_info, .cas_info {
    flex-grow: 1;
    flex-shrink: 1;
}

.photo_info i.material-icons.fb_icon {
    background-image: url(../images/facebook_logo_small.gif);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    width: 16px;
}

.photo_info .sm_warning {
    float: left;
    color: #bf360c;
    display: none;
}



    /*******************************************/
/**************** Photo Uploader ******************/
/*******************************************/

.upload_container .card-image .thumb_photo {
    position: absolute;
    top: 0;
    left: 0;
    height:100%;
}

.card-image {
    overflow: hidden;
    transition: min-width 0.5s;
}

.card.upload_container div.card-image + div.card-stacked {
    box-shadow: -5px 0px 10px -4px #616161;
    transition: background-color 0.8s;
}

.card-image label {
    z-index: 5;
}

.header_row ul.dropdown-content li {
/*#select_photos_drop_menu li, #edit_photos_drop_menu li {*/
    font-size: 12px;
    line-height: 25px;
}

.header_row ul.dropdown-content li a {
/*#select_photos_drop_menu a, #edit_photos_drop_menu a {*/
    color: inherit;
    font-size: 12px;
}

.header_row ul.dropdown-content li i.material-icons {
/*#select_photos_drop_menu i.material-icons, #edit_photos_drop_menu i.material-icons {*/
    width:auto;
    font-size: 16px;
    margin-right: 12px;
}

.upload_container .photo_info, .cas_info {
    font-size: 10px;
}

.upload_container .photo_info i.material-icons, .cas_info i.material-icons{
    font-size: 16px;
    position: relative;
    top:4px;
    margin-right: 6px;
    margin-left: 15px;
}

.upload_container:not(.uploaded) .photo_info,
.upload_container:not(.uploaded) .photo_info i.material-icons,
.cas_info, .cas_info i.material-icons
{
    color: #9e9e9e;
}

/*Compact View*/
#upload_queue_photos.compact .photo_info {
    display: none !important;
}

#upload_queue_photos.compact .card-stacked {
    flex-direction: row;
}

#upload_queue_photos.compact .photo_type {
    align-self: flex-end;
}

#upload_queue_photos.compact .card-content {
    min-width: 0;
}

#upload_queue_photos.compact .card-content .progress_bar_text{
    display: none;
}

#upload_queue_photos.compact .card.horizontal .card-image {
    min-width: 50px;
}

#upload_queue_photos.compact ul.metadata {
    font-size: 11px;
    margin: 0px 0px 0px 0px;
    max-width: 100%;
}

#upload_queue_photos.compact .upload_container_wrapper {
    overflow: visible;
}

#upload_queue_photos.compact .card {
    margin-bottom: 5px;
}

#upload_queue_photos.compact .card-action {
    border-top: none;
}

/*List View*/
#upload_queue_photos.list .photo_info {
    display: none !important;
}

#upload_queue_photos.list .card-stacked {
    flex-direction: row;
}

#upload_queue_photos.list .photo_type {
    align-self: flex-end;
}

#upload_queue_photos.list .card-content {
    min-width: 0;
}

#upload_queue_photos.list .card-content .progress_bar_text{
    display: none;
}

#upload_queue_photos.list .card.horizontal .card-image {
    min-width: 50px;
}

#upload_queue_photos.list ul.metadata {
    font-size: 11px;
    margin: 0px 0px 0px 0px;
    max-width: 100%;
}

#upload_queue_photos.list .upload_container_wrapper {
    overflow: visible;
    width:100% !important;
}

#upload_queue_photos.list .card {
    margin: 0px;
}

#upload_queue_photos.list .card-action {
    border-top: none;
}

#upload_queue_photos.list .upload_container_wrapper:not(:last-of-type)::after {
    content: "";
    border-top: 1px solid #f2f2f2;
    display: block;
    margin: 7px 0px;
}

#upload_queue_photos.list .card .card-content {
    padding: 2px 7px;
}

#upload_queue_photos.list .card.upload_container {
    box-shadow: none;
}

#upload_queue_photos.list .card.upload_container:hover {
    box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.3) !important;
}

#upload_queue_photos.list .card .card-stacked {
    box-shadow: none;
}

#photo_details_modal_caption {
    max-height: 200px;
    overflow-y: auto;
}


/*---------------------- Table Formatting --------------*/

.ellipsis_table {
    table-layout:fixed;
}

.ellipsis_table th, .ellipsis_table td {
    white-space: nowrap;
    font-size: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
}

table.centre_cells th, table.centre_cells td {
    text-align: center;
}

/*--------------- Upload Log Page --------------- */

@media only screen and (min-width: 901px){

    #col_ul_file_name {
        width:35%;
    }

    #col_ul_date_time, #col_ul_size_duration {
        width:140px;
    }

}

#col_ul_scc {
    width:75px;
}

#log_table_wrapper tr.has_log {
    cursor: pointer;
}

#log_table_wrapper tr.has_log.error{
    color: #f44336;
}

#log_table_wrapper tr.has_log.error:hover{
    background-color: #f44336;
    color: #FFFFFF;
}

#ul_log_modal {
    width:65%;
    min-width: 500px;
}

#ul_log_modal h5.error {
    color: #f44336;
}

#ul_log_modal h5 i {
    font-size: 30px;
    margin-right: 10px;
    position: relative;
    top: 7px;
}

#ul_log_modal pre {
    white-space: pre-line;
    overflow: visible;
    font-size: 12px;
}

/*--------------- Template Usage Page --------------- */

#template_usage_utilization_table th:first-child, #template_usage_utilization_table th:last-child {
    width: 100px;
}

/*--------------- Template Mapping Page --------------- */

#col_tmap_pub_actions, #col_tmap_grp_actions {
    width:80px;
}
/*#col_tmap_pub_code, #col_tmap_pub_actions {*/
    /*width:100px;*/
/*}*/

/*#col_tmap_pub_dow, #col_tmap_pub_type {*/
    /*width: 130px;*/
/*}*/

/*--------------- Session Unlock Page --------------- */

th.col_unlock_pid {
    width:90px;
}

a.btn.kill_client {
    text-transform: none;
    line-height: 25px;
    height: 25px;
    padding: 0px 10px;
}


/*---------------- Loading Data Animation -------------*/

.loader, .loader_text {
    text-align: center;
    font-size: 11px;
}

.loader {
    margin: 100px auto 5px auto;
    width: 50px;
    height: 40px;
}

.loader_text {
    margin: 0px auto 100px auto;
}

.loader div {
    /*background-color: #2eb5e8;*/
    height: 100%;
    width: 6px;
    display: inline-block;

    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.loader .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.loader .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.loader .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.loader .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% { -webkit-transform: scaleY(0.4) }
    20% { -webkit-transform: scaleY(1.0) }
}

@keyframes sk-stretchdelay {
    0%, 40%, 100% {
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }  20% {
           transform: scaleY(1.0);
           -webkit-transform: scaleY(1.0);
       }
}

/*Newsagent TV*/
.card .card-content.na_tv_content {
    display: flex;
    justify-content: space-between;
    flex-flow: nowrap;
    padding:15px 25px;
}

.card .card-content.na_tv_content .card-title {
    margin-bottom: 7px;
}

.na_tv_video_wrapper {
    flex-grow: 1;
    flex-basis: 65%;
    display: flex;
    flex-direction: column;
}

.na_tv_video_inner_wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-grow: 1;
}

.na_tv_info_wrapper {
    font-size: 12px;
    flex-basis: 250px;
    flex-grow: 1;
    min-width:0px;
}



.na_tv_wrapper_spacer {
    flex-basis: 2.2%;
}

.na_tv_video_background {
    width: 100%;
    padding-bottom: 56.25%;
    position: relative;
    margin-bottom: 7px;
    background-color: #dfe5e8;
    position: relative;
}

.na_tv_video_screen {
    position: absolute;
    width:100%;
    height:100%;
    z-index: 10;
}

.na_tv_video {
    position: absolute;
    width:100%;
    height:100%;
}

.na_tv_video_metadata {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    font-size: 11px;
}

.na_tv_photo_wrapper {
    display: flex;
}

.na_tv_photo {
    width:70px;
    height:70px;
    margin-right: 5px;
    background-color: #dfe5e8;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    flex-shrink:0;
    flex-basis: 70px;
}

.na_tv_photo_info {
    font-size: 11px;
    overflow: hidden;
}

.na_tv_action_info {
    flex-grow: 1;
}

.na_tv_buttons > a, .na_tv_action_info > a {
    padding: 0px 5px ;
    height:24px;
    line-height:24px;
    color: inherit !important;
    font-size:12px;
}


/*Side Nav */
/*@media only screen and (max-width : 992px) {*/
    /*#side_nav {*/
        /*box-shadow: none !important;*/
        /*background-color: #3c3f41;*/
    /*}*/
    /*#side_nav .collapsible-body li {*/
        /*background-color: #3c3f41;*/
    /*}*/
    /*#side_nav .collapsible-body li > a {*/
        /*color: #FFFFFF;*/
    /*}*/
/*}*/

#side_nav #user_info {
    font-size: 13px;
    line-height: 18px;
    padding: 15px 0;
    background-color: #3c3f41;
}

#side_nav #user_info #user_headshot_wrapper {
    padding: 0 8px;
}

#side_nav #user_info div:last-child {
    padding-left: 0;
}

#side_nav #side_footer {
    position: absolute;
    bottom: 0px;
}

#side_nav .collapsible-header {
    font-size: 13px;
    font-weight: 400;
    text-transform: uppercase;
    color: #2FB9EC;
}

#side_nav .collapsible-body li, #side_nav .collapsible-body li a {
    font-size: 12px;
    font-weight: 400;
    line-height: 40px;
    height: 35px;
    padding-right: 5px;
}

#side_nav .collapsible-body li a {
    padding-left: 22px;
}

#side_nav .collapsible-body li {
    padding-left: 0px;
}

#side_nav .collapsible-body li a i {
    font-weight: 400;
    line-height: 40px;
    height: 40px;
    margin-right: 10px;
}

#side_nav .collapsible-body {
    margin-bottom: 20px;
}

#side_nav .collapsible-body .badge {
    margin-top: 8px;
}

#side_menu a.menu_button.active {
    font-weight: 600 !important;
    margin-left: 15px;
}

#hamburger_wrapper {
    overflow: auto;
    padding: 7px;
    position: fixed;
    left:0;
    right:0;
    top:0;
    z-index: 10;
    display: flex;
    justify-content: space-between;
}

#hamburger_wrapper > div {
    align-self: center;
    line-height: 0;
}

#hamburger_wrapper > #mobile_page_title {
    color: #FFFFFF;
    font-size: 17px;
}

/*#hamburger_wrapper a.button-collapse {*/
    /*line-height: 0;*/
/*}*/

#hamburger_wrapper i {
    color: white;
    font-size: 30px;
    line-height: 30px;
    cursor: pointer;
}

#help-user_guide {
    display: flex;
}

/*Quicklay Plans*/
.quicklay_page {
    width: 100%;
    position: relative;
    box-sizing: border-box;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    transition: box-shadow .25s;
    margin-bottom: 15px;
}

.in_plan .quicklay_page:hover, .full_plan .quicklay_page:hover {
    transition: box-shadow .25s;
    box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.3);
}

.full_plan_highlighted .not_in_plan {
    opacity: 0.25;
}

.pages_in_plan .not_in_plan {
    display: none;
}

.quicklay_page_title {
    text-align: center;
    margin-bottom: 5px;
    font-weight: 500;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.quicklay_page_area {
    position: absolute;
    box-sizing: border-box;
    /*border: 1px solid #bebfbd59;*/
    border: 1px solid #e8e9e8;
}

.quicklay_page_container {
    margin-bottom: 20px;
    transition: opacity 0.5s;
}

.quicklay_ad {
    padding: 4px;
    position: absolute;
    z-index: 1000;
    box-sizing: border-box;
    background: #e8e9e8;
    overflow: hidden;
    cursor: grab;
}

.quicklay_spread_ad {
    padding: 4px;
    position: absolute;
    z-index: 9;
    box-sizing: border-box;
    overflow: hidden;
    cursor: grab;
    border: 1px dashed #CCC;
    border-left: none;
}

.quicklay_ad_booking_no, .quicklay_ad_info {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.quicklay_ad_booking_no {
    font-size: 11px;
    font-weight: 600;
}

.quicklay_ad_info {
    font-size: 9px;
}

.quicklay_page_details {
    display: flex;
    justify-content: space-between;
    font-size: 11px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.quicklay_page_details div:first-child {
    font-weight: bold;
    padding-right: 2px;
    flex-shrink: 0;
}

.quicklay_page_details div:last-child {
    padding-left: 2px;
    flex-shrink: 0;
}

.quicklay_page_details span {
    overflow: hidden;
    flex-shrink: 1;
}

.quicklay_spread_right {
    position: absolute;
    bottom: 3px;
    right: 3px;
}

.quicklay_spread_left {
    position: absolute;
    bottom: 3px;
    /*right: 3px; Set by dynamic css*/
}

option.updated_today {
    font-weight: bold;
}





